Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues
Class JavaClassType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.BindingType
                  org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.DirectBindingType
                      org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ObjectType
                          org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.JavaClassType

All Implemented Interfaces:
  IMetaDataEnabledFeature, IPossibleValues, ITypeDescriptor, IValidValues

public class JavaClassType
extends ObjectType
implements IPossibleValues, IValidValues

Provides possible values and validates attribute values that should be fully qualified Java types. A type can be verfified against muliple "valid-interfaces" and/or a "valid-superclass" from meta-data. Search is scoped to within the current project only. (Until https://bugs.eclipse.org/bugs/show_bug.cgi?id=142044 is fixed, only the first found will be used)

Field Summary
`static java.lang.String` | `POSSIBLE_VALUES_INTERFACES_PROP_NAME`
`static java.lang.String` | `POSSIBLE_VALUES_SUPERCLASS_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IPossibleValues
`POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME, POSSIBLE_VALUES_PROP_NAME, POSSIBLE_VALUES_SMALL_ICON_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Constructor Summary
`JavaClassType()`

Method Summary
`protected void` | `addNewValidationMessage(java.lang.String defaultMsg)`
`protected java.lang.String` | `getCMValidationCode()`
`protected java.lang.String` | `getCMValidationMessage()`
`protected int` | `getCMValidationSeverity()`
`protected java.util.List` | `getInterfaceNames()`
`java.util.List` | `getPossibleValues()`
`protected java.lang.String` | `getSuperClassName()`
`java.util.List` | `getValidationMessages()`
`boolean` | `isValidValue(java.lang.String value)`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
`findMetaDataEnabledFeaturesForThisType, getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getCMAttributePropertyValue, getCMAttributePropertyValues, getCMSmallIcon, getImage, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.IMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Field Detail

### POSSIBLE_VALUES_INTERFACES_PROP_NAME

    public static final java.lang.String POSSIBLE_VALUES_INTERFACES_PROP_NAME

See Also:
  Constant Field Values

### POSSIBLE_VALUES_SUPERCLASS_PROP_NAME

    public static final java.lang.String POSSIBLE_VALUES_SUPERCLASS_PROP_NAME

See Also:
  Constant Field Values

Constructor Detail

### JavaClassType

    public JavaClassType()

Method Detail

### getPossibleValues

    public java.util.List getPossibleValues()

  Specified by:
    `getPossibleValues` in interface `IPossibleValues`
  Returns:
    List of IPossibleValue instances representing possible values Implementer must ensure that an empty rather than null list is returned if no values are posssible.

### getValidationMessages

    public java.util.List getValidationMessages()

  Specified by:
    `getValidationMessages` in interface `IValidValues`
  Returns:
    List of IValidationMessage objects if invalid Must return empty list rather than null Call to isValidValue(String value) required before this should be called.

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Specified by:
    `isValidValue` in interface `IValidValues`
  Returns:
    true if is valid

### getSuperClassName

    protected java.lang.String getSuperClassName()

  Returns:
    String value of `POSSIBLE_VALUES_SUPERCLASS_PROP_NAME`

### getInterfaceNames

    protected java.util.List getInterfaceNames()

  Returns:
    List of values from `POSSIBLE_VALUES_INTERFACES_PROP_NAME`

### addNewValidationMessage

    protected void addNewValidationMessage(java.lang.String defaultMsg)

### getCMValidationMessage

    protected java.lang.String getCMValidationMessage()

### getCMValidationSeverity

    protected int getCMValidationSeverity()

### getCMValidationCode

    protected java.lang.String getCMValidationCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD